/*
	ChangeWaveFileCmd.h - change data in an existing wave file

	Will Eighteen, 2000: will@opaline.demon.co.uk
*/

#ifndef CHANGEWAVEFILECMD_H
#define CHANGEWAVEFILECMD_H

#include <List.h>
#ifndef BREAK
#define BREAK
#include <BreakCmd.h>
#endif

#include "wave/waveclass.h"

#define BUFSIZE 1024


class ChangeWaveFileCmd : public BreakCmd
{
	public:
		ChangeWaveFileCmd ( char *, int, int, int, int );
		virtual ~ChangeWaveFileCmd();
		char *savedFile() { return _tmpFile; };
		int srcWaveNum() { return _srcWaveNum; };
		int dstWaveNum() { return _dstWaveNum; };

	protected:
		void doCommand();
		
	private:
		void writeHeader ( long );
		void update ( void );
		long _srcFilePos, _dstFilePos;
		long _numBytes;
		int _percentDone;
		int _opType;
		char _srcFile[BUFSIZE];
		char _dstFile[BUFSIZE];
		char _tmpFile[BUFSIZE+20];
		unsigned _srcWaveNum;
		unsigned _dstWaveNum;
		Wave *_pSave;	// temp output file
};

#endif
