/*
 Confirm.h - base class for commands requiring confirmation

 Originally 'AskFirstCmd.h'
 modified by Will 18, 2000; will@opaline.demon.co.uk

 Adapted from
 Douglas A. Young, 'Object-oriented Programming with C++ and OSF/Motif'
 2nd ed., Prentice-Hall.
*/

#ifndef CONFIRM_H
#define CONFIRM_h

#include "Cmd.h"


class Confirm : public Cmd
{
	public:
		Confirm ( const char *, int active = TRUE );
			void setQuestion ( const char *str );
			virtual void execute();	// override Cmd member function
			virtual const char *const className() { return ( "Confirm" ); }
			
		private:
			static void yesCallback ( void * );
			char *_question;	// derived classes use setQuestion ( string )
};

#endif

/*
  Notes:
  
  The derived class uses the setQuestion member function to set the query string
  displayed in the dialog.
*/
